Page MenuHomePhabricator

Call to undefined method WikitextContent::getLevel() at EditProofreadPagePage.php on line 250
Closed, ResolvedPublic

Description

[26-Nov-2013 20:33:21] Fatal error: Call to undefined method WikitextContent::getLevel() at /usr/local/apache/common-local/php-1.23wmf5/extensions/ProofreadPage/includes/page/EditProofreadPagePage.php on line 250
Server: mw1072
Method: POST
URL: http://ca.wikisource.org/w/index.php?title=P%C3%A0gina:L%27auca_del_senyor_Esteve_(1912).djvu/145&action=submit
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf5/extensions/ProofreadPage/includes/page/EditProofreadPagePage.php(250): EditProofreadPagePage->internalAttemptSave()
#1 /usr/local/apache/common-local/php-1.23wmf5/includes/EditPage.php(1213): EditProofreadPagePage->internalAttemptSave(false, false)
#2 /usr/local/apache/common-local/php-1.23wmf5/includes/EditPage.php(416): EditPage->attemptSave()
#3 /usr/local/apache/common-local/php-1.23wmf5/extensions/ProofreadPage/includes/page/ProofreadPageSubmitAction.php(38): EditPage->edit()
#4 /usr/local/apache/common-local/php-1.23wmf5/includes/Wiki.php(441): ProofreadPageSubmitAction->show()
#5 /usr/local/apache/common-local/php-1.23wmf5/includes/Wiki.php(305): MediaWiki->performAction(Object(Article), Object(Title))
#6 /usr/local/apache/common-local/php-1.23wmf5/includes/Wiki.php(596): MediaWiki->performRequest()
#7 /usr/local/apache/common-local/php-1.23wmf5/includes/Wiki.php(460): MediaWiki->main()
#8 /usr/local/apache/common-local/php-1.23wmf5/index.php(49): MediaWiki->run()
#9 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#10 {main}


Version: master
Severity: normal

Details

Reference
bz57615

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:21 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz57615.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Nov 26 2013, 7:43 PM

Change 97835 had a related patch set uploaded by Tpt:
(bug 57615) Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/97835

Change 97835 had a related patch set uploaded by Parent5446:
(bug 57615) Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/97835

Change 97835 had a related patch set uploaded by Tpt:
(bug 57615) Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/97835

Change 97835 had a related patch set uploaded by Tpt:
(bug 57615) Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/97835

Change 97837 had a related patch set uploaded by Tpt:
Use new validation system of the content model in EditPage

https://gerrit.wikimedia.org/r/97837

Reedy added a comment.Dec 3 2013, 8:11 PM

[03-Dec-2013 20:02:21] Fatal error: Call to a member function getLevel() on a non-object at /usr/local/apache/common-local/php-1.23wmf5/extensions/ProofreadPage/ProofreadPage.body.php on line 704
Server: mw1204
Method: POST
URL: http://fr.wikisource.org/w/api.php
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf5/extensions/ProofreadPage/ProofreadPage.body.php(704): ProofreadPage::onAPIEditBeforeSave()
#1 [internal function]: ProofreadPage::onAPIEditBeforeSave(Object(EditPage), 'rendez-vous, et...', Array)
#2 /usr/local/apache/common-local/php-1.23wmf5/includes/Hooks.php(199): call_user_func_array('ProofreadPage::...', Array)
#3 /usr/local/apache/common-local/php-1.23wmf5/includes/GlobalFunctions.php(4033): Hooks::run('APIEditBeforeSa...', Array)
#4 /usr/local/apache/common-local/php-1.23wmf5/includes/api/ApiEditPage.php(378): wfRunHooks('APIEditBeforeSa...', Array)
#5 /usr/local/apache/common-local/php-1.23wmf5/includes/api/ApiMain.php(857): ApiEditPage->execute()
#6 /usr/local/apache/common-local/php-1.23wmf5/includes/api/ApiMain.php(386): ApiMain->executeAction()
#7 /usr/local/apache/common-local/php-1.23wmf5/includes/api/ApiMain.php(357): ApiMain->executeActionWithErrorHandling()
#8 /usr/local/apache/common-local/php-1.23wmf5/api.php(73): ApiMain->execute()
#9 /usr/local/apache/common-local/w/api.php(3): require('/usr/local/apac...')
#10 {main}

Change 99518 had a related patch set uploaded by Tpt:
Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/99518

Change 99519 had a related patch set uploaded by Tpt:
Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/99519

Change 97837 merged by jenkins-bot:
Use new validation system of the content model in EditPage

https://gerrit.wikimedia.org/r/97837

Change 99518 abandoned by Reedy:
Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/99518

Change 99519 abandoned by Reedy:
Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/99519

Of the four patches related to this ticket, https://gerrit.wikimedia.org/r/#/c/97835/ is still open, hence keeping the ticket open.

Change 97835 merged by jenkins-bot:
Add validation of the content model edited by EditPage

https://gerrit.wikimedia.org/r/97835

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:54 AM